> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balance

> Retrieve the account balance from a financial provider.



## OpenAPI

````yaml GET /customer/accounts/balance/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/accounts/balance/{account_id}:
    get:
      tags:
        - Customer
      summary: Get Client Account Balance Signed
      description: Retrieve the account balance from a financial provider.
      operationId: >-
        get_client_account_balance_signed_customer_accounts_balance__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_ClientAccountBalanceResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_ClientAccountBalanceResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/ClientAccountBalanceResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[ClientAccountBalanceResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientAccountBalanceResponse:
      properties:
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
          examples:
            - 4iIN-rdBXRDJXV--V5F-Co-
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          examples:
            - '0000013'
        available_balance:
          anyOf:
            - $ref: '#/components/schemas/Balance'
            - type: 'null'
          description: Accounts' Available balance
        held_balance:
          anyOf:
            - $ref: '#/components/schemas/Balance'
            - type: 'null'
          description: Accounts' Held balance
        total_balance:
          anyOf:
            - $ref: '#/components/schemas/Balance'
            - type: 'null'
          description: Accounts' Total balance
        system_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: System Timestamp
          examples:
            - '2025-05-16T18:16:45.088469926Z'
      type: object
      title: ClientAccountBalanceResponse
      description: Schema to serialize the account balance response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Balance:
      properties:
        amount:
          type: number
          title: Amount
          description: Balance
          examples:
            - 100
        currency:
          type: string
          title: Currency
          description: Customer currency
          examples:
            - USD
      type: object
      title: Balance
      description: Schema to serialize balance.

````